Page MenuHomePhabricator

The welcome dialog keeps appearing for a new user until refreshing the page
Closed, ResolvedPublic1 Estimate Story Points

Description

Steps to reproduce:

  1. Load VE for a page with a new user account.
  2. Edit the page and save it
  3. Re-open VE to make more edits.

The welcome dialog will reappear, it stops appearing when I refresh the page session.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterArticleTarget: set local config to hide welcome dialog

Event Timeline

Ryasmeen created this task.Jul 18 2017, 8:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2017, 8:21 PM
Deskana triaged this task as Medium priority.Jul 19 2017, 10:52 AM
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.

Change 366279 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] ArticleTarget: set local config to hide welcome dialog

https://gerrit.wikimedia.org/r/366279

Change 366279 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ArticleTarget: set local config to hide welcome dialog

https://gerrit.wikimedia.org/r/366279

Deskana closed this task as Resolved.Jul 31 2017, 5:06 PM
Deskana assigned this task to DLynch.
Deskana set the point value for this task to 1.
Deskana removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 31 2017, 5:06 PM